import request from "@/utils/request";
const api = "/mosty-api/mosty-base";

/**
 * 消息列表
 * @param {*} params
 * @returns
 */
export const getPageList = (params = {}) => {
    return request({
        url: api + "/sysMessage/getPageList",
        method: "GET",
        params
    });
};

/**
 * 发送消息
 * @param {*} data
 * @returns
 */
export const sendMsg = (data) => {
    return request({
        url: api + "/sysMessage/sendMsg",
        method: "post",
        data
    });
};


