//业务应用中心路由表
import layout from "@/layout/index"; //layout直接引用 其他使用路由懒加载
export const businessRouteList = [
  // {
  //   path: "/home",
  //   name: "home",
  //   component: layout,
  //   meta: {
  //     title: "首页",
  //     icon: "home",
  //     iconH: "homeH"
  //   },
  //   children: [
  //     {
  //       path: "/dutyBook/home/workbench",
  //       name: "dutyBook/home/workbench",
  //       component: () => import("@/views/dutyBook/home/workbench.vue"),
  //       meta: {
  //         title: "工作台",
  //         icon: "icon_ywyy"
  //       }
  //     },
   
    
  //   ],
  // },
  {
    path: "/businessCenter",
    component: layout,
    name: "businessCenter",
    meta: {
      title: "业务应用中心",
      icon: "icon_ywyy",
      iconH: "ywyyCenter"
    },
    children: [
      {
        path: "/safetyResponsibility",
        name: "safetyResponsibility",
        meta: {
          title: "安全责任体系",
          icon: "icon_ywyy"
        },
        children: [
          {
            path: "/qualityPolicy",
            name: "qualityPolicy",
            meta: {
              title: "目标方针",
              icon: "icon_ywyy"
            },
            children: [
              {
                path: "/dutyBook/goalWay/aqfz",
                name: "dutyBook/goalWay/aqfz",
                component: () => import("@/views/dutyBook/home/workbench"), // 当做"模板"
                meta: {
                  title: "安全方针",
                  icon: "icon_ywyy"
                }
              },
             
            ]
          },
        ]
      },
  
    ]
  }
];
