//业务应用中心路由表
import layout from "@/layout/index" //layout直接引用 其他使用路由懒加载
export const lps = [
  {
    path: "/lps",
    name: "lps",
    component: layout,
    meta: {
      title: "六盘水",
      icon: "icon_xtgl",
      iconH: "ytglCenter"
    },
    children: [
      {
        path: "/lps/bkq/index",
        name: "lps/bkq/index",
        component: () => import("@/views/lps/bkq/index.vue"),
        meta: {
          title: "布控球管理",
          icon: "icon_ywyy"
        }
      },
      {
        path: "/lps/yjsb/index",
        name: "lps/yjsb/index",
        component: () => import("@/views/lps/yjsb/index.vue"),
        meta: {
          title: "预警设备管理",
          icon: "icon_ywyy"
        }
      }
    ]
  }
]
